> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List form submissions



## OpenAPI

````yaml get /v1/form-submissions
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/form-submissions:
    get:
      summary: List form submissions
      parameters:
        - schema:
            type: string
          required: false
          name: form_id
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: user_id
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: collection_id
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 64
          required: false
          name: short_url
          in: query
        - schema:
            type: string
          required: false
          name: min_created_at
          in: query
        - schema:
            type: string
          required: false
          name: max_created_at
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 1000
          required: false
          name: limit
          in: query
        - schema:
            type: number
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          name: order
          in: query
        - schema:
            type: string
          required: false
          name: order_by
          in: query
        - schema:
            type: boolean
          required: false
          name: include_count
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormSubmissionListResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FormSubmissionListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FormSubmissionResponse'
        pagination:
          type: object
          properties: {}
          additionalProperties: {}
      required:
        - data
        - pagination
    FormSubmissionResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        form_id:
          type: string
        data:
          type: object
          additionalProperties: {}
        user_id:
          type:
            - string
            - 'null'
        collection_id:
          type:
            - string
            - 'null'
        short_url:
          type:
            - string
            - 'null'
        sender_name:
          type:
            - string
            - 'null'
        sender_email:
          type:
            - string
            - 'null'
        created_at:
          type: string
        short_url_update:
          $ref: '#/components/schemas/FormSubmissionShortUrlUpdate'
      required:
        - id
        - form_id
        - data
        - created_at
    FormSubmissionShortUrlUpdate:
      type: object
      properties:
        short_url:
          type: string
        layout_id:
          type:
            - string
            - 'null'
        destination_url:
          type:
            - string
            - 'null'
      required:
        - short_url
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````